{% extends 'employee/base.html' %}

{% load static employee_tag %}


{% block extra_css %}
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.css">
    <link href="{% static 'css/table.css' %}"
          rel="stylesheet">
{% endblock %}


{% block content_page %}

    <div class="block-education_experience">
        <div class="container">

            <div class="row">
                <div class="col x12 m7">
                    <div class="table-list">
                        <br>
                        <h2 class="center">Listado de empleados</h2> <br><br>
                        <table class="table table-striped table-class" id="table-id">
                            <thead>
                            <tr>
                                <th>Nombre</th>
                                <th>Cargo</th>
                                <th>IMC</th>
                                <th>Clasificacion</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for emp in employees %}
                                <tr>
                                    <td>{{ emp.name }}</td>
                                    <td>{{ emp.position }}</td>
                                    <td>{{ emp.body_mass_index }}</td>
                                    <td>{% get_classification emp.body_mass_index %}</td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>

                    </div>

                </div>
                <div class="col x12 m5">
                    <figure class="highcharts-figure">
                        <div id="container"></div>
                    </figure>
                </div>
            </div>
        </div>
    </div>

{% endblock content_page %}

{% block extra_js %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/modules/data.js"></script>
    <script src="https://code.highcharts.com/modules/drilldown.js"></script>
    <script src="https://code.highcharts.com/modules/exporting.js"></script>
    <script src="https://code.highcharts.com/modules/export-data.js"></script>
    <script src="https://code.highcharts.com/modules/accessibility.js"></script>
    <script src="//cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>

    <script>
        let data1 = {{ data1 }};
        let data2 = {{ data2 }};
        let data3 = {{ data3 }};
        let data4 = {{ data4 }};

        $(document).ready(function () {
            $('#table-id').DataTable({
                "language": {
                    "lengthMenu": "Filtro _MENU_ registros por página",
                    "zeroRecords": "No encontramos nada - lo siento!",
                    "info": "Mostrando página _PAGE_ de _PAGES_",
                    "search": "Buscar:",
                    "infoEmpty": "No se encontraron registros",
                    "infoFiltered": "(Filtrando de _MAX_ total registros)",
                    "paginate": {
                        "first": "Primero",
                        "last": "Ultimo",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    },
                }
            });
        });
    </script>
    <script src="{% static 'js/graph.js' %}"></script>
{% endblock %}